Introduction to Wikimedia Phabricator (project management tool)
Closed, ResolvedPublic

Description

An overview of Wikimedia Phabricator: What it is, what it can do, and how it can help you to find interesting stuff and projects to work on, to improve the code in our projects, to coordinate and organize stuff you work on, and to collaborate with others in software projects.

Come and see and ask any questions about Phabricator! :)

General information (if you want to take a look before or in the session): mw:Phabricator/Help and mw:Phabricator/Project management.

Program: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Program

Aklapper created this task.Feb 22 2017, 6:27 PM
Aklapper moved this task from Backlog to Proposed Sessions on the Wikimedia-Hackathon-2017 board.
Aklapper claimed this task.
Aklapper triaged this task as Lowest priority.

(Last year's edition: T130828)

FNDE awarded a token.Apr 18 2017, 8:27 AM
FNDE added a subscriber: FNDE.
Aklapper raised the priority of this task from Lowest to Normal.May 2 2017, 4:26 PM
Aklapper raised the priority of this task from Normal to High.May 12 2017, 10:33 AM
Aklapper updated the task description. (Show Details)
Alibey added a subscriber: Alibey.May 16 2017, 8:09 AM
0x010C added a subscriber: 0x010C.May 17 2017, 1:01 PM
Aklapper closed this task as Resolved.May 19 2017, 4:07 PM

I started with these slides (needs a bit of updating, star icon, Phab logo, etc):
https://commons.wikimedia.org/wiki/File:Introduction-to-Phabricator-WikiCon-2016.pdf
Took about 30min.
Then answering discussing numerous questions (and greg helped with some input).
About 15-20 attendees.
Asked if the session was helpful at the end. Some people nodded.
Closing as resolved.

I wonder whether this is one of the basic documents that we should curate in the context of Onboarding New Developers.

In T158792#3284655 on May 22nd, @Qgil wrote:

I wonder whether this is one of the basic documents that we should curate in the context of Onboarding New Developers.

Not directly, as some featured projects do not use Phabricator. I now linked to these slides from both the top of the Phab Help (diff) and from the top of mw:Phabricator which (including some subpages) needed a bit of cleanup. And then made mw:New_Developers once link to the Phab wiki page. Sufficient IMHO.